# $Revision: 1.6 $, $Date: 2004/05/06 18:43:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Imager
%define	pnam	Imager
Summary:	Imager - Perl extension for generating images
Summary(pl):	Imager - rozszerzenie Perla do generowania obrazkw
Name:		perl-Imager
Version:	0.43
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	53b25b7de75625bfc9c9c3a44c8c2f76
Patch0:		%{name}-tiff.patch
URL:		http://www.develop-help.com/imager/
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
# giflib >= 4.1.0-4 or libungif
BuildRequires:	libungif-devel >= 4.1.0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Imager is a module for creating and altering images. It can read and
write various image formats, draw primitive shapes like lines, and
polygons, blend multiple images together in various ways, scale, crop,
render text and more.

%description -l pl
Imager to modu do tworzenia i modyfikowania obrazkw. Potrafi czyta
i zapisywa rne formaty obrazkw, rysowa proste ksztaty takie jak
linie i wielokty, miesza wiele obrazkw razem na rne sposoby,
skalowa, obcina, nanosi tekst itd.

%prep
%setup -q -n %{pnam}-%{version}
%patch -p1

%build
# manual configuration: we want freetype2 enabled and freetype1 disabled
# y/n for: win32, ft1, t1lib, ft2, tiff, png, ungif, jpeg, gif, nogif
IM_MANUAL=y \
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor <<EOF

n
n
n
y
y
y
y
y
n
n
EOF

%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Imager

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Imager/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/%{pdir}.pm
%{perl_vendorarch}/%{pdir}
%dir %{perl_vendorarch}/auto/%{pdir}
%{perl_vendorarch}/auto/%{pdir}/%{pdir}.bs
%attr(755,root,root) %{perl_vendorarch}/auto/%{pdir}/%{pdir}.so
%dir %{perl_vendorlib}/%{pdir}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Imager.spec,v $
Revision 1.6  2004/05/06 18:43:13  ankry
- fixed perl-devel BR

Revision 1.5  2004/04/22 12:52:35  ankry
- license fixes & unification

Revision 1.4  2004/03/06 19:30:50  adamg
- updated to 0.43

Revision 1.3  2004/01/24 22:24:15  arekm
- autoupdated to 0.42

Revision 1.2  2003/10/25 18:25:12  qboosh
- added dir for noarch Imager::* modules

Revision 1.1  2003/10/25 18:16:28  qboosh
- new
